I'll tell you about all the quests I know of, but I don't know about them all. You should talk to all the villagers you can.
First, you see this young fellow here next to me? His name is Darin, and he seems to be worried about something. wht don't you see if he could use your help? He could at least use someone to talk to, I think.
Also, Guard Arnold, stationed at the south gate of the village, is looking for someone to deliver items he recovered from a shipwreck. I belive he'd willing to pay, so see what you can do for him.
Have you been to the weapon shop yet? Trader Lector, Keeper of the weapon store, is a famous leatherworker, I'm told he's making something out of wolf pelts. Since you're hunting wolves anyway, why don't you work with Lector and increase you profits? He can fill you in on the details.
Return